/*
    MSGLIB - a message handling library
    Copyright (C) 1995,1997  Steffen Kaiser

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
    See: COPYING.LB
*/
/*
    MSGLIB - a message handling library
    Copyright (C) 1995,1997  Steffen Kaiser

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
    See: COPYING.LB
*/
/* $RCSfile: MSGFMTER.C $
   $Locker:  $	$Name:  $	$State: Exp $

	Issuing the format string error.

	E_hlpFmtStr is necessaryly staticly linked into the application's
	source code.

*/

#include <stdio.h>
#ifndef _MICROC_
#include <process.h>
#endif
#include "yerror.h"

#ifndef lint
static char const rcsid[] = 
	"$Id: MSGFMTER.C 1.4 1998/01/14 05:52:38 ska Exp $";
#endif

int __formatStringError(char *poi)
{	static int recurs = 0;

	poi[2] = '\0';
	if(recurs) {
		fprintf(stderr, E_hlpFmtStr, poi);
		exit(Nr_E_hlpFmtStr);
	}

	recurs = 1;
	error(E_fmtStr, poi);
	recurs = 0;
	return EOF;
}
